SPIP-Contrib

SPIP-Contrib

عربي | Deutsch | English | Español | français | italiano | Nederlands

286 Plugins, 197 contribs sur SPIP-Zone, 234 visiteurs en ce moment

Accueil > Vie de SPIP et autour de SPIP > SPIP-core > SPIP 1-8-3b / 1.9.2g / 2.0.2

SPIP 1-8-3b / 1.9.2g / 2.0.2

24 décembre 2008 – par L’équipe de SPIP-Contrib – 11 commentaires

Toutes les versions de cet article : [English] [français]

7 votes

3 Mises à jour de sécurité !

Bonjour, un message important si vous avez un site en SPIP : c’est Noël !!!

Oui certes c’est noël mais aussi, trois failles importantes nous ont été signalées depuis la semaine dernière. Elles ont été corrigées aussitôt et nous sortons donc de nouvelles versions. Nouvelles au pluriel car les failles sont là depuis bien longtemps.

Nous vous encourageons bien sur à en profiter pour passer à la dernière version stable de SPIP (2.0.2) disponible ici : http://www.spip.net/fr_download

Cependant si vous êtes « coincé » avec une version plus ancienne de SPIP et en attendant de passer à une version plus récente, vous trouverez une version 1.8.3b et une version 1.9.2g dans le répertoire http://files.spip.org/spip/archives/

Merci a Jean Bon, Julien Cayssol et Pierre Gardenat pour nous avoir signalé les failles. N’hésitez pas à faire de même en signalant toute faille sur la liste privée des cores développeurs : spip-team@rezo.net

Si vous avez des questions d’ordre général deux listes sont à disposition : la liste des utilisateurs : http://listes.rezo.net/mailman/list..., la liste des développeurs : http://listes.rezo.net/mailman/list....

Autre rappel, la mailing liste SPIP-annonce : http://listes.rezo.net/mailman/list.... est une liste utilisée pour vous signaler les éventuels problèmes ou les nouvelles versions. N’hésitez pas à vous y inscrire pour rester au courant de l’actualité SPIP (le volume d’envoi est très faible).

Pour finir, quelques détails concernant les différences depuis la sortie de la 2.0 :

2.0.1 -> 2.0.2
-  refuser les urls avec le pseudo protocole data (13521)
-  bonne année (13520)
-  Unifier la mise en page dans les 3 onglets de gestion des langues (13519)
-  encore quelques retouches sur l’agenda de l’espace publique (13517)
-  le champ type de la balise A d’un logo de document était toujours vide (13512)
-  la boucle DOCUMENTS ne donnait pas les documents attachés aux messages de forums (13511)
-  accepter les notes nommees <*> <+> <.> et autres caracteres significatifs (13510)
-  un peeling pour évacuer le point noir. (13508)
-  amélioration du calcul de popularité (13506)
-  lien incorrect dans le message à un visiteur venant de s’inscrire (13504)
-  support du png8 comme format de image_format (l’extension sera bien ’png’) (13501)
-  authentification via LDAP/AD, lire le Samaccountname (13500)
-  proteger l’$id fournit a calcul_branche_in (13498)

2.0.0 -> 2.0.1
-  réparation d’un bug sur les urls standard et autres anciennes implémentations (13489)
-  problème de création du répertoire cache à l’install (13487)
-  correction mineure sur le calcul des visites (13485)
-  Compilateur : défaut sur la prise en compte sur le champ statut dans le cas d’une requête sur une table principale (13484)
-  correction pour IE6/7 sur les formulaires de l’espace privé (13481)
-  il était impossible de déplacer SPIP dans un sous répertoire (13478)

Nous vous souhaitons de joyeuses fêtes. Maïeul recopiant Ben. (pour la tendre équipe SPIP)

Dernière modification de cette page le 30 décembre 2008

Retour en haut de la page

Vos commentaires

  • Le 12 février 2009 à 14:13, par erational En réponse à : SPIP 1-8-3b en version PHP

    si cela intéresse des gens ....
    SPIP 1-8-3b en version php (au lieu du php3 de la distribution originale)

    Répondre à ce message

  • Le 20 janvier 2009 à 03:38, par Simbad En réponse à : SPIP 1-8-3b / 1.9.2g / 2.0.2

    avec un peu de retard désolé mais tu devrais trouver ton bonheur par ici : http://trac.rezo.net/trac/spip/diff...
    il te suffit juste d’indiquer les bonne rev. au bon endroit.

    Bonjour,

    merci pour cette info, ça va me servir à l’avenir.

    Cependant, une petite remarque : c’est un outil de développement de spip, ça ne remplace pas une release note publique indiquant les bugfixes / changes principaux, mise en forme pour être intelligible par le commun des mortels, et ce à chaque release publique.

    De la même manière que l’historique des messages sur la liste de diffusion des dev ne remplacera jamais une documentation bien structurée (ce que spip.net est) et exhaustive (ce qu’il n’est pas, voir #ARRAY ou !doublons par exemple).

    C’est d’autant plus dommage que Spip est un outil remarquable, il gagnerait énormément à améliorer sa documentation, ce qui ne peut être fait que par des développeurs connaissant parfaitement ses entrailles (ce que je ne suis pas moi-même par manque de temps).

    Dans tous les cas merci encore, et bon courage pour la suite du développement.

    Répondre à ce message

  • Le 5 janvier 2009 à 03:56, par Simbad En réponse à : SPIP 1-8-3b / 1.9.2g / 2.0.2

    Bonjour,

    merci pour cette mise à jour, cependant une remarque :
    je suis en spip 1.9.2e et je ne suis pour l’instant pas passé en f ou g car je n’ai trouvé nulle part la release note / feature list de la 1.9.2f (ni sur spip.net, ni sur spip-contrib).

    Ayant un gros site en exploitation, je ne patche qu’après avoir pris connaissance de la liste complète des features car il m’est arrivé d’avoir des surprises.

    Pourriez-vous m’indiquer où trouver ces informations ?
    Je comprends que vous soyez tous très occupés par la 2.x, mais ça ne fait définitivement pas très sérieux de publier une version sans rendre la release note publique...

    Répondre à ce message

  • Le 19 janvier 2009 à 11:41, par ced En réponse à : SPIP 1-8-3b / 1.9.2g / 2.0.2

    Bonjour à tous,

    J’ai un petit soucis, j’ai remplacer mon spip 1.9.2 par spip 2.0.2 . J’ai suivi la procédure en écrasant l’ancien spip, tout se passe bien , j’arrive dans l’espace privé et on me demande :

    Message technique :
    la procédure de mise à jour doit être lancée afin d’adapter la base de données à la nouvelle version de SPIP.

    Je clique le lien, on me demande de mettre à jour ma base SQL etquand je valide je reviens au message technique !!!

    Bref je tourne en rond

    J’espère que quelqu’un à une idée car je suis un peu dans la mouise...

    @+ ced

    Répondre à ce message

  • Le 18 janvier 2009 à 16:43, par jvh En réponse à : Spip-loader 1.9.2

    bonjour,
    j’ai un pb qui peut paraître évident à beaucoup mais qui me pose « grand soucis ». Lorsque je souhaite installer mon site spip chez mon hébergeur (Amen), j’utilise l’installation automatique Spip-loader. Or celui-ci installe le pack 2.0 contrairement à mon souhait ; je souhaiterai en effet qu’il installe la version 1.9.2.e (12624) ; Comment faire ? j’ai tenté, en lisant votre message, de changer la ligne ainsi :
    # decommenter la ligne ci-dessous pour charger la version
    # de developpement (nightly build SVN) et commenter la ligne de
    # telechargement de la version STABLE
    # define(’_URL_PAQUET_ZIP’,’http://files.spip.org/spip/dev/SPIP-svn.zip) ;

    # URL du paquet de la version STABLE a telecharger
    define(’_URL_PAQUET_ZIP’,’http://files.spip.org/spip/archives/SPIP-v1-9-2e.zip)
    dois-je également changer la 1re ligne, eb gras
    merci de votre aide,je suis un peu désarmé

    Répondre à ce message

  • Le 7 janvier 2009 à 10:29, par Ronan En réponse à : SPIP 1-8-3b / 1.9.2g / 2.0.2

    A propos de la faille de sécurité « proteger l’$id fournit a calcul_branche_in (13498) », celle-ci a été reprise par d’autres sites en tant que faille critique de spip, qui affecterait aussi spip 1.x (http://secunia.com/Advisories/33307/) ! J’ai la nette impression que c’est n’importe quoi, la fonction n’existant pas avant la 2.0 !
    Pouvez-vous confirmer qu’il n’y a rien à craindre de cette faille sur spip 1.x ?

    • Le 14 janvier 2009 à 10:21, par Cerdic En réponse à : SPIP 1-8-3b / 1.9.2g / 2.0.2

      les mises a jour de sécurité sur les branches 1.8.3 et 1.9.2 incluent la correction de cette faille qui affectait bien les versions de la branche 1.x

    Répondre à ce message

  • Le 2 janvier 2009 à 22:10, par Miranda En réponse à : SPIP 1-8-3b / 1.9.2g / 2.0.2

    SORRY, c’est RESOLU... je n’avais pas vu qu’il fallait activer les mot clés dans la version Spip 2... toutes mes excuses :(

    bonjour,
    c’est normal que la version SPIP 2.0.2 [13532] n’ait pas accès aux « mot clés », « sites référencés » et « tous vos articles » depuis le bouton « édition » dans le menu horizontal de la partie privé du site ?

    Répondre à ce message

  • Le 30 décembre 2008 à 11:32, par Loiseau2nuit En réponse à : SPIP 1-8-3b / 1.9.2g / 2.0.2

    Euh... dites ? Les liens vers les ML dans l’article sont retaillé au delà du simple texte ! Aucun n’est complet et ils pointent tous vers une belle page 404 ??? _ EDIT : J’ai corrigé les liens grace à http://listes.rezo.net/listes.php ils pointent désormais vers les bonnes cibles

    Répondre à ce message

  • Le 29 décembre 2008 à 12:52, par damazone En réponse à : SPIP 1-8-3b / 1.9.2g / 2.0.2

    Bonjour,

    J’ai un site sous SPIP1.9.2e [12624] genrespluriels.be.

    D’habitude, je mets à jour la version de SPIP en production grâce au script spip_loader et il n’y avait qu’une seule nouvelle version disponible. Je constate avec beaucoup de plaisir de chouettes ’améliorations. Donc un jour quand j’aurai du temps libre, je migrerai mon site de 192e vers la 2.0.2.

    Une brève recherche dans google me donne le billet Migrer de SPIP 1.9.2 à SPIP V2 sur la façon d’installer la version 2 de spip sur un site en 192.

    Spip_loader charge la dernière version stable (2.0.2).

    Pour installer la version 1.9.2g, il faut modifier spip_loader :

    remplacer la ligne

    par :

    Quand il y a des versions majeures, ce serait bien que spip_loader propose un choix de la version à installer.

    Si spip_loader charge la version 2.0.2, une migration est nécessaire sinon il y aura des problèmes de compatibilité avec les plugins installés. Il faudrait alors adapter l’article Installer SPIP :

    Migration depuis une précédente version de SPIP

    - vous avez une version 1.9 et postérieures : une simple mise à jour suffira

    donc prévoir une migration de SPIP 1.9.2 à SPIP V2

    Cordialement.

    Répondre à ce message

Répondre à cet article

Qui êtes-vous ?
  • [Se connecter]

Pour afficher votre trombine avec votre message, enregistrez-la d’abord sur gravatar.com (gratuit et indolore) et n’oubliez pas d’indiquer votre adresse e-mail ici.

Ajoutez votre commentaire ici Les choses à faire avant de poser une question (Prolégomènes aux rapports de bugs. )
Ajouter un document

Retour en haut de la page

Ça discute par ici

  • Mailsubscribers

    16 janvier 2013 – 274 commentaires

    Ce plugin permet de gérer les inscriptions (ou abonnements) à la diffusion de contenu par email. Mailsubscribers permet de gérer les inscriptions par Opt-in simple ou double et la désinscription par URL. Ce plugin gère également plusieurs listes (...)

  • noiZetier v2

    9 novembre 2012 – 36 commentaires

    Le noiZetier offre une interface d’administration permettant d’insérer au choix des éléments modulaires de squelettes (noisettes) et de les ajouter ainsi à ses squelettes. Compatibilité La version 2 du noizetier fonctionne sous SPIP 3. Elle est (...)

  • cirr : plugin « rédacteur restreint »

    29 octobre 2010 – 60 commentaires

    Ce plugin « cirr : rédacteur restreint » permet d’affecter des rubriques aux rédacteurs et modifie les droits afin qu’un rédacteur restreint (ou un administrateur restreint) voit dans l’espace privé uniquement les rubriques qui lui sont affectées (et leur (...)

  • Un retour d’expérience d’utilisation de Formidable

    26 octobre – commentaires

    Il s’agissait de créer un formulaire d’inscription à un évènement modérer les inscriptions dans le privé publier les inscriptions dans le public Nous avons discuté de cette présentation lors de l’apéro SPIP du 15 février 2016 à la Cantine (...)

  • Métas +

    3 décembre – 14 commentaires

    Améliorez l’indexation de vos articles dans les moteurs et leur affichage sur les réseaux sociaux grâce aux métadonnées Dublin Core, Open Graph et Twitter Card. Installation Activer le plugin dans le menu dédié. Dans le panel de configuration, (...)

Ça spipe par là